//Live fish originally didn't do a damn thing - this makes them plop out of the water
//(using unimplemented animations from the original)

const int SOUND_FISH = 40;	//splashy sound
Fish 509 ()
{
	var frames;

	if (event == PROXIMITY)
	{
		//lock their schedule, so they won't ruin the animation by swimming around
		//You'd think UI_halt_scheduled() would do this, but no...
		UI_set_schedule_type(item, WAIT);

		//use unrotated (north-facing) animation set
		if (UI_get_item_frame(item) < 16) frames = [14, 13, 5, 15, 0];
		//use rotated (south-facing) animation set (slightly different order too)
		else frames = [30, 21, 29, 31, 16];

		script item
		{
			frame frames[1];
			wait 1;
			sfx SOUND_FISH;
			frame frames[2];
			frame frames[3];
			frame frames[4];
			wait 1;
			frame frames[5];
			call 509;	//call Fish() again with SCRIPTED event - this undoes the schedule lock
		}
	}

	//called by PROXIMITY animation script, restores schedule to normal
	else if (event == SCRIPTED) UI_set_schedule_type(item, LOITER);
}